#! /bin/bash

################################################################################
# we download some banks
################################################################################
wget "ftp://ftp.sra.ebi.ac.uk/vol1/fastq/ERR039/ERR039477/ERR039477.fastq.gz"

################################################################################
# we launch dsk
################################################################################
../build/dsk -file ./ERR039477.fastq.gz
../build/utils/dsk2ascii -file ERR039477.h5 -out ERR039477.txt

################################################################################
# we check the result
################################################################################
md5sum ERR039477.txt > ERR039477.check

diff ./ERR039477.md5 ./ERR039477.check

if [ $? -eq 0 ]; then
   echo "TEST OK"
else
   echo "TEST KO"
fi

################################################################################
# clean up
################################################################################
rm -f  ERR039477.fastq.gz  ERR039477.h5  ERR039477.txt  ERR039477.check
